var jqAAWidget = jQuery.noConflict();

var openDuration = 10000;

jqAAWidget(document).ready(function() {
  loadLibaries();
});

function loadLibaries(){

  jqAAWidget('<link>', {
    rel: 'stylesheet',
    type: 'text/css',
    href: './template/css/template.css'
  }).appendTo('head');

  jqAAWidget.getScript("./js/jquery-ui-1.8.16.custom.min.js", function(){
    jqAAWidget.getScript("./js/jquery.cookie.js", function(){
      initDialog()
      loadAlert();
    });
  });
}

function initDialog(){
  jqAAWidget('#AmberAlertHTMLWidget').dialog({autoOpen: false, modal: true, width: 326, height: 200, zIndex: 2147483600});
}

function loadAlert(){
  var url = "./code/htmlWidgetManager.aspx";
  jqAAWidget.ajax({
    type: "POST",
    url: url,
    data: { 'action' : 0},
    success: function(data){
      if(data != '' && jqAAWidget.cookie('AmberAlertHTMLWidget') == null){

        jqAAWidget.cookie('AmberAlertHTMLWidget', '1', { expires: 1, path: '/' });
        jqAAWidget('#AmberAlertHTMLWidget').html(data);
        jqAAWidget('#AmberAlertHTMLWidget').dialog('open');
        window.setTimeout(function(){ jqAAWidget('#AmberAlertHTMLWidget').dialog('close'); }, openDuration);
      }
    }
  });
}